    /*
     *  call-seq:
     *     FuzzyQuery.default_prefix_length = prefix_length -> prefix_length
     *
     *  Set the default value for +:prefix_length+
     */
    static VALUE
    frb_fq_set_dpl(VALUE self, VALUE val)
    {
        int pre_len = FIX2INT(val);
        if (pre_len < 0) {
            rb_raise(rb_eArgError,
                     "%d < 0. :prefix_length must be >= 0", pre_len);
        }
        qp_default_fuzzy_pre_len = pre_len;
    #ifdef FRT_RUBY_VERSION_1_9
        rb_cvar_set(cFuzzyQuery, id_default_prefix_length, val);
    #else
        rb_cvar_set(cFuzzyQuery, id_default_prefix_length, val, Qfalse);
    #endif
        return val;
    }